<?php
session_start();
require_once('utilesphp/sql_oop.php'); //conexion a base de datos
include('utilesphp/utiles.php'); //datos comunes y funciones basicas php
$usrempresa=$_POST['usr'];
$passempresa=$_POST['psw'];
$usuario=$mysqli->query('SELECT * FROM administradores WHERE usr="'.$usrempresa.'"');
$row=$usuario->fetch_array();
if ($usuario->num_rows>0 && $row['psw']==$passempresa){
	$_SESSION['login']=true;
	$_SESSION['admin']=true;
	$_SESSION['matriz']=true;
	$_SESSION['sucursal']=1;
	$_SESSION['nombresucursal']='Casa matriz';
	header("Location: menu-matriz.php"); 
	} else {
	$usuario=$mysqli->query('SELECT * FROM sucursales WHERE usr="'.$usrempresa.'"');
	$row=$usuario->fetch_array();
	if ($usuario->num_rows>0 && $row['psw']==$passempresa){
		$_SESSION['login']=true;
		$_SESSION['admin']=false;
		$_SESSION['sucursal']=$row['Idsucursal'];
		$_SESSION['nombresucursal']=$row['descripcion'];
		if ($row['Idsucursal']=='1') {$_SESSION['matriz']=true; header("Location: menu-matriz.php");} else {$_SESSION['matriz']=false; header("Location: menu-sucursal.php");} 
		} else {
		$_SESSION['admin']=false;
		$_SESSION['login']=false;
		$_SESSION['sucursal']='';
		$_SESSION['nombresucursal']='';
		$_SESSION['mensaje']="datos incorrectos";
		header("Location: index.php");
		}
	}
if ($usuario) {
    $usuario->free();
}
$mysqli->close();
?>
